Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.es
Class ESParseException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.caucho.es.ESException
                        |
                        +--com.caucho.es.ESParseException

All Implemented Interfaces:
  java.io.Serializable

public class ESParseException
extends ESException

JavaScript exception

See Also:
  Serialized Form

Constructor Summary
`ESParseException(java.lang.Exception e)`
`ESParseException(java.lang.String file, int beginLine, int beginCh, int endLine, int endCh, java.lang.String msg)`

Method Summary
`int` | `getColumn()`
`java.lang.String` | `getFilename()`
`int` | `getLine()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getText()`

Methods inherited from class com.caucho.es.ESException
`printESStackTrace, printESStackTrace, printESStackTrace, staticPrintESTrace, staticPrintESTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ESParseException

    public ESParseException(java.lang.String file,
                            int beginLine,
                            int beginCh,
                            int endLine,
                            int endCh,
                            java.lang.String msg)

### ESParseException

    public ESParseException(java.lang.Exception e)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getText

    public java.lang.String getText()

### getFilename

    public java.lang.String getFilename()

### getLine

    public int getLine()

### getColumn

    public int getColumn()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD